module Mundipagg
	class Buyer

		# @return [Guid] Buyer unique idenfitication. Generated by MundiPagg.
		# param Default: 00000000-0000-0000-0000-000000000000 (Guid empty) 
		attr_accessor :buyerKey
		# @return [String] Buyer custom idenfitication. 
		attr_accessor :buyerReference
		# @return [String] Email address. 
		attr_accessor :email
		# @return [String] Facebook ID. 
		attr_accessor :facebookId
		# @return [String] Gender. 
		attr_accessor :genderEnum 
		# @return [String] Home phone.
		attr_accessor :homePhone
		# @return [String] IP Address.
		attr_accessor :ipAddress 
		# @return [String] Mobile phone.
		attr_accessor :mobilePhone
		# @return [String] Work phone. 
		attr_accessor :workPhone
		# @return [String] Buyer full name. 
		attr_accessor :name
		# <i>Person</i> for individual people information and <i>Company</i> for enterprise information
		# @return [String] Type.
		# @param Default: Person
		attr_accessor :personTypeEnum 
		# @return [String] Document number.
		attr_accessor :taxDocumentNumber
		#<i>CPF<i> for person document number or <i>CNPJ</i> for company document number.
		# @return [String] Document type.
		# @param Default: CPF
		attr_accessor :taxDocumentTypeEnum 
		# @return [String] Twitter ID.
		attr_accessor :twitterId
		# @return [Array] Array of addresses.
		# @see BuyerAddress
		attr_accessor :addressCollection

		# Gender
		@@Gender = {
			:Male => 'M',
			:Female => 'F'
		}

		# Person Type
		@@PersonType = {
			:Person => 'Person',
			:Company => 'Company'
		}

		# Document Type
		@@DocumentType = {
			:CPF => 'CPF',
			:CNPJ => 'CNPJ'
		}

		# Initialize class with properties
		def initialize
			@addressCollection = Array.new
			@buyerKey = '00000000-0000-0000-0000-000000000000'
			@personTypeEnum = Buyer.PersonTypeEnum[:Person]
			@taxDocumentTypeEnum = Buyer.DocumentTypeEnum[:CPF]
		end

		# Gender enum
		def self.GenderEnum
			@@Gender
		end

		# Person type enum
		def self.PersonTypeEnum
			@@PersonType
		end

		# Document type enum
		def self.DocumentTypeEnum
			@@DocumentType
		end
	end
end