module Mundipagg
	class ManageOrderRequest
		
		# @return [Array] Credit card transaction collection
		attr_accessor :transactionCollection
		
		# @return [String] Operation enum
		attr_accessor :manageOrderOperationEnum
		
		# @return [Guid] MundiPagg merchant identification 
		attr_accessor :merchantKey
		
		# @return [Guid] Unique order identification. Generated by MundiPagg. 
		attr_accessor :orderKey
		
		# @return [String] Order identification.
		attr_accessor :orderReference

		# If not send, it will be generate automatically in the webservice and returned in response.
		# Web service request identification, it is used for investigate problems with webservice requests.
		# @return [Guid] Globally Unique Identifier. 
		# @param Optional
		# @param Default: 00000000-0000-0000-0000-000000000000
		attr_accessor :requestKey

		# Initialize class and properties
		def initialize
			@transactionCollection = Array.new
			@requestKey = '00000000-0000-0000-0000-000000000000'
		end

		# Operations allowed 
		@@Operation = {
			:Capture => 'Capture',
			:Void => 'Void'
		}

		# Hash collection with operations allowed 
		def self.OperationEnum
			@@Operation
		end
	end

	class ManageTransactionRequest
		# @return [Long] Order amount in cents.
		attr_accessor :amountInCents 
		# @return [Guid] Unique transacion identifier generated by MundiPagg.
		attr_accessor :transactionKey 
		# @return [String] Custom transaction identifier.
		attr_accessor :transactionReference
	end
end